Status in source: mandatory.
Names: ascIOoutputMapDeviceAddr
Technical details
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"ascIOoutputMapDeviceAddr",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"(",
"0",
".",
".",
"255",
")",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"<Definition> An address for the device at this table row. The address is used for devices like BIUs and SIUs that require an address. The value should be zero if the address is not needed for this row. If the ascIOoutputMapDeviceType is biu (4), the address values are: 1 - Traffic Facilities BIU #1 2 - Traffic Facilities BIU #2 3 - Traffic Facilities BIU #3 4 - Traffic Facilities BIU #4 5-8 - reserved 9 - Detector BIU #1 10 - Detector BIU #2 11 - Detector BIU #3 12 - Detector BIU #4 13-16 - reserved Note that these values are the BIU SDLC address + 1. If the ascIOoutputMapDeviceType is siu (5), the address values are: 1 - reserved 2 - 14-pack output SIU position 1 3 - reserved 4 - 14-pack output SIU position 3 5 - 6-pack output SIU position 4 6 - 6-pack output SIU position 1 7 - 6-pack output SIU position 2 8 - 6-pack output SIU position 3 9 - reserved 10 - input SIU #1 11 - input SIU #2 12 - input SIU #3 13 - input SIU #4 14 - input SIU #5 15 - reserved Note that these values are the SIU SDLC address + 1. <Object Identifier> 1.3.6.1.4.1.1206.4.2.1.13.6.1.5\"",
"::=",
"{",
"ascIOoutputMapTableEntry",
"5",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"integerSubType",
[
[
0,
255
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"<Definition> An address for the device at this table row. The address is used for devices like BIUs and SIUs that require an address. The value should be zero if the address is not needed for this row. If the ascIOoutputMapDeviceType is biu (4), the address values are: 1 - Traffic Facilities BIU #1 2 - Traffic Facilities BIU #2 3 - Traffic Facilities BIU #3 4 - Traffic Facilities BIU #4 5-8 - reserved 9 - Detector BIU #1 10 - Detector BIU #2 11 - Detector BIU #3 12 - Detector BIU #4 13-16 - reserved Note that these values are the BIU SDLC address + 1. If the ascIOoutputMapDeviceType is siu (5), the address values are: 1 - reserved 2 - 14-pack output SIU position 1 3 - reserved 4 - 14-pack output SIU position 3 5 - 6-pack output SIU position 4 6 - 6-pack output SIU position 1 7 - 6-pack output SIU position 2 8 - 6-pack output SIU position 3 9 - reserved 10 - input SIU #1 11 - input SIU #2 12 - input SIU #3 13 - input SIU #4 14 - input SIU #5 15 - reserved Note that these values are the SIU SDLC address + 1. <Object Identifier> 1.3.6.1.4.1.1206.4.2.1.13.6.1.5"
],
null,
null,
null,
null
]
}
- NTCIP published standard MIB annexes (reviewed modules)
· Publisher's source file: NTCIP 1202 v03A, Object Definitions for Actuated Signal Controllers (ASC) Interface Published May 2019 — original PDF
· Official record
Module: NTCIP1202-v03
See published definition above
Module imports
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['IpAddress', 'Counter', 'null'], 'RFC1213-MIB': ['DisplayString', 'ifIndex'], 'NTCIP8004v02': ['OwnerString', 'OerString', 'devices']}
Source data warning: Recovered from a file whose complete MIB does not parse. The original assignment and definition are preserved. Registration and implementation details may be inaccurate; consult the original file. Other damaged or unresolved declarations are not established registrations.
Source data warning: This record is transcribed from a published NTCIP MIB annex. The downloadable text is a derived transcription with page furniture and section headings masked; the unmodified original PDF is authoritative. Native definitions, DESCRIPTION and STATUS are retained. A published object definition does not establish support by any particular device.
Source data warning: Potentially inaccurate interpretation of historical NTCIP namespace references: NTCIP8004v02. These exact source files require the reviewed bindings shown below. The numeric roots used here are the explicit assignments in normative Annex A.2 of published NTCIP 8004 v02 (2010), physical pages 43–44. This does not establish that every historical module revision is identical. The annex also prints enterprise instead of RFC 1155 enterprises and declares Protocols while referencing protocols; those spelling interpretations are disclosed. The original IMPORTS, numeric suffixes and definitions remain unchanged. Verify both originals before implementation.
· Download NTCIP-1202v0328A.pdf — NTCIP1202-v03 (MIB transcription)
Related source files and packages: